    var title;
    var body;
    var source;
    var newsType;
    var myBody;
    var myTitle;
    var textSize;
	var contentWidth;

    function getTitle(){
        myTitle = document.getElementById("title");
        if (window.news) {
            title = window.news.getTitle();
            myTitle.innerHTML = title;
        }
    }

	//获取来源,如果是旅游详情,则隐藏来源div
    function getSource(){
        var mySource = document.getElementById('source');
        if (window.news) {
        	isTour = window.news.isTourAudio();
        	if(isTour=='true')
        	{
            	mySource.style.display='none';
        	}
        	else{
            	source = window.news.getSource();
            	mySource.innerHTML = source;
            }
        }
    }
    
    //获取新闻类型
    function getNewsType(){
        var myNewsType = document.getElementById('newstype');
        if (window.news) {
        	isPrizeForward = window.news.isPrizeForward();
        	if(isPrizeForward=='false')
        	{
            	myNewsType.style.display='none';
        	}
        	else{
            	newsType = '有奖转发';
            	myNewsType.innerHTML = newsType;
            }
        }
    }

    function getBody(){
        myBody = document.getElementById('articlebody');
        if (window.news) {
            body = window.news.getBody();
            myBody.innerHTML = body;
        }
    }

    function getAdvertisements() {
        var ad = document.getElementById("ad");
        if (window.news) {
            var text = window.news.getAdvertisements();
            ad.innerHTML = text;
        }
    }

	function getVideos() {
		var myVideos = document.getElementById("video");
		if (window.news) {
            var text = window.news.getVideos();
            myVideos.innerHTML = text;
        }
	}
	
	function getAudio() {
		if (window.news) {
            var text = window.news.getAudio();
            if(text){
            	insertAudio(text);
            }
        }
	}
	
	function getPosition() {
		var myPosi = document.getElementById("posi");
		var myPosition = document.getElementById("position");
		var mySource = document.getElementById('source');
		if (window.news) {
            var text = window.news.getPosition();
            if(text){
           		myPosi.innerHTML = text;
           		mySource.style.display='none';
            }
            else{
            	myPosition.style.display='none';
            }
        }
	}

	function getTopAd() {
		var myTopAd = document.getElementById("topad");
		if (window.news) {
            var text = window.news.getTopAd();
            myTopAd.innerHTML = text;
        }
	}

	function getContentWidth() {
		contentWidth = parseInt(document.body.clientWidth) - 20;
		if(window.screen.availWidth < 800) {
			contentWidth = 280;
		}
		return contentWidth;
	}

	function getImgHeight(width, height) {
		return parseInt(height * contentWidth / width);
	}

	function getWidth() {
		return contentWidth;
	}

    function getTextSize() {
        if (window.news) {
            textSize = window.news.getTextSize();

            switch(textSize) {
            case 0:
                showSuperBigSize();
                break;
            case 1:
                showBigSize();
                break;
            case 2:
                showMidSize();
                break;
            case 3:
                showSmallSize();
                break;
            }
        }
    }

    // 继续阅读
    function getRelation() {
        var relation = document.getElementById('relation');

        if (window.news) {
            var content = window.news.getRelation();
            relation.innerHTML = content;
        }
    }

	// 热点新闻
    function getHotNews() {
        var hots = document.getElementById('hotnews');

        if (window.news) {
            var content = window.news.getHotsRelation();
            hots.innerHTML = content;
        }
    }

    // 顶部继续阅读
    function getTopRelation() {
    	var topRelation = document.getElementById('topRelation');
    	
    	if (window.news) {
    		var content = window.news.getTopRelation();
    		topRelation.innerHTML = content;
    	}
    }

	function getSharesLay() {
		var sharelo = document.getElementById('artshare');
    	
    	if (window.news) {
    		var content = window.news.getSharesLay();
    		sharelo.innerHTML = content;
    	}
	}

	// 游戏推荐列表
    function getGames() {
    	var games = document.getElementById('games');
    	
    	if (window.news) {
    		var content = window.news.getGames();
    		games.innerHTML = content;
    	}
    }

	function startShare(i){
		if (window.news) {
            window.news.startShare(i);
        }
	}

    function playVideo(i) {
        if (window.news) {
            window.news.playVideo(i);
        }
    }

    function showImg(i) {
        if (window.news) {
            window.news.showImg(i);
        }
    }

	function enterGameDetail(i) {
		if (window.news) {
            window.news.enterGameDetail(i);
        }
	}

	//网页中图片加载完成后替换默认图片
	function replaceDefaultImg(i, j, width, height) {
		document.getElementById(j).style.display = 'none';
		document.getElementById(i).width = width;
		document.getElementById(i).height = height;
		document.getElementById(i).style.marginBottom = '-16px'
		document.getElementById(i).style.display = 'block';
		
	}

	//视频图片加载完成后替换默认图片
	function replaceDefaultImgForVideo(imgId, defaultImgId, width, height) {
		document.getElementById(defaultImgId).style.display = 'none';
		document.getElementById(imgId).width = getWidth();
		document.getElementById(imgId).height = getImgHeight(width, height);
		document.getElementById(imgId).style.marginBottom = '-16px'
		document.getElementById(imgId).style.display = 'block';
	}

	//设置视频控件中播放按钮位置
	function positionPlayBtn(playBtnId, width, height) {
		document.getElementById(playBtnId).style.visibility = 'visible'
		document.getElementById(playBtnId).style.position = 'absolute';
		document.getElementById(playBtnId).style.width = 80;
		document.getElementById(playBtnId).style.height = 80;
		document.getElementById(playBtnId).style.left = (getWidth() - 80) / 2;
		document.getElementById(playBtnId).style.top = (getImgHeight(width, height) - 80) / 2;
	}

	function resizeWidght(id, width, height) {
		document.getElementById(id).width = width;
		document.getElementById(id).height = height;
		}

    // 跳转继续阅读
    function startRelation(i) {
        if (window.news) {
            window.news.startRelation(i);
        }
    }

	// 跳转热点新闻
    function startHotsRelation(i) {
        if (window.news) {
            window.news.startHotsRelation(i);
        }
    }

    // 跳转顶部继续阅读
    function startTopRelation(i) {
    	if (window.news) {
    		window.news.startTopRelation(i);
    	}
    }

    // 跳转评论
    function startHotComments(i) {
        if (window.news) {
            window.news.startHotComments(i);
        }
    }

    // 跳转推广
    function startAdvertisements(i, j) {
        if (window.news) {
            window.news.startAdvertisements(i, j);
        }
    }

    function showSuperBigSize() {
         myBody.style.fontSize = "1.5em";
          myTitle.style.fontSize = "1.7em";
    }

    function showBigSize() {
        myBody.style.fontSize = "1.2em";
        myTitle.style.fontSize = "1.4em";
    }

    function showMidSize() {
        myBody.style.fontSize = "1em";
        myTitle.style.fontSize = "1.2em";
    }

    function showSmallSize() {
        myBody.style.fontSize = "0.9em";
        myTitle.style.fontSize = "1.1em";
    }

    function initialize(){
		getContentWidth();
		getTopAd();
		getVideos();
		getPosition();
		getTitle();
        getSource();
        getNewsType();
        getBody();
        getTextSize();
        getRelation();
		getHotNews();
        getTopRelation();
		getSharesLay();
        getAdvertisements();
		getGames();
    }

    window.onload = function(){
        initialize();
    }

