precision highp float;
uniform sampler2D uTexture;
uniform float uClipAngle;
uniform float uOffsetX;
varying vec2 vTextureCoord;
varying vec4 vPosition;
void main() {
    gl_FragColor = texture2D(uTexture,vTextureCoord);
    float realX = vPosition.x - uOffsetX;
    float pi = 3.141592653589793;
    float angle = atan(sqrt(vPosition.z * vPosition.z + vPosition.y * vPosition.y),realX);
    angle = angle / pi * 180.0;
    float angle2 = atan(vPosition.z/vPosition.x);
    if(angle2>(pi/2)){
        gl_FragColor = vec4(0.0,0.0,0.0,0.0);
    }

}